declare abstract class AbstractUiAdapter<ApiDataModel> {
    private construct;
    protected onBeforeAttributes(apiData: ApiDataModel): Promise<void>;
    protected abstract applyAttributes(apiData: ApiDataModel): void;
    protected applyRuntimeValidations(): void;
    protected onAfterAttributes(): Promise<void>;
    static create<ApiDataModel, UiDataModel>(apiData: ApiDataModel): Promise<UiDataModel>;
}
export default AbstractUiAdapter;
